import axios from "./axios";

export default{
    index:(params={})=>{//首页数据
        return axios.post('/tenement/pc/api/home',params)
    },
    getApartment:(params={})=>{//获取首页公寓数据
        return axios.get('/tenement/pc/api/home/getApartment',params)
    },
    recommendList:(params={})=>{//首页瀑布流
        return axios.get('/tenement/pc/api/home/recommendList',params)
    },
    banner:(params={})=>{//轮播
        return axios.get('/tenement/pc/api/banner',params)
    },
    getLocationData:(params={})=>{//地区选择数据
        return axios.get('/tenement/pc/api/home/getLocationData',params)
    },
    search:(params={})=>{//搜索初始化
        return axios.get('/tenement/pc/api/search',params)
    },
    getLists:(params={})=>{//获取搜索数据  个人/中介/求房源
        return axios.get('/tenement/pc/api/lists',params)
    },
    apartment:(params={})=>{//获取公寓列表
        return axios.get('/tenement/pc/api/apartment',params)
    },
    details:(params={})=>{//房源详情
        return axios.get('/tenement/pc/api/details',params)
    },
    operation:(params={})=>{//收藏/取消收藏
        return axios.post('/tenement/pc/api/user/operation',params)
    },
    contactData:(params={})=>{//获取联系方式
        return axios.post('/tenement/pc/api/details/contactData',params)
    },
    publisherList:(params={})=>{//发布者其他房源
        return axios.post('/tenement/pc/api/lists/publisherList',params)
    }
    
}